<Topology Version="2.1" BuildVersion="20.00.12622.0" PlatformName="PTL">
    <Path Name="Render passthrough" Id="eIntcPathRenderPassthrough" Idx="0">
        <Caps HostLink="INTC_OE_PATH_HOSTLINK_PASS" Direction="INTC_OE_PATH_DIRECTION_RENDER" Priority="0" Longbuf="false" />
        <Node Id="0" ModuleType="eCopierModule" Optional="false">
            <InQueue entryType="eEntryTypeDma" />
            <OutQueue entryType="eEntryTypeGeneral" />
        </Node>
        <Node Id="1" ModuleType="eCopierModule" Optional="false">
            <InQueue entryType="eEntryTypeGeneral" />
            <OutQueue entryType="eEntryTypeDma" />
        </Node>
    </Path>
    <Path Name="Render chained" Id="eIntcPathRenderChained" Idx="1">
        <Caps HostLink="INTC_OE_PATH_HOSTLINK_PASS" Direction="INTC_OE_PATH_DIRECTION_RENDER" Priority="0" Longbuf="false" />
        <Node Id="0" ModuleType="eFakeCopierModule" Optional="false">
            <InQueue entryType="eEntryTypeDma" />
            <OutQueue entryType="eEntryTypeGeneral" />
        </Node>
        <Node Id="1" ModuleType="eFakeCopierModule" Optional="false">
            <InQueue entryType="eEntryTypeGeneral" />
            <OutQueue entryType="eEntryTypeDma" />
        </Node>
    </Path>
    <Path Name="Render system pin" Id="eIntcPathRenderSystem" Idx="2">
        <Caps HostLink="INTC_OE_PATH_HOSTLINK_HOST" Direction="INTC_OE_PATH_DIRECTION_RENDER" Priority="0" Longbuf="false" />
        <Node Id="0" ModuleType="eCopierModule" Optional="false">
            <InQueue entryType="eEntryTypeDma" />
            <OutQueue entryType="eEntryTypeGeneral" />
        </Node>
        <Node Id="1" ModuleType="ePeakVolModule" Optional="false">
            <InQueue entryType="eEntryTypeGeneral" />
            <OutQueue entryType="eEntryTypeGeneral" />
        </Node>
        <Node Id="2" ModuleType="eMixInModule" Optional="false">
            <InQueue entryType="eEntryTypeGeneral" />
            <OutQueue entryType="eEntryTypePath" />
        </Node>
    </Path>
    <Path Name="Render offload pin" Id="eIntcPathRenderOffload" Idx="3">
        <Caps SFX="1" HostLink="INTC_OE_PATH_HOSTLINK_HOST" Direction="INTC_OE_PATH_DIRECTION_RENDER" Priority="0" Longbuf="true" />
        <Node Id="0" ModuleType="eCopierModule" Optional="false">
            <InQueue entryType="eEntryTypeDma" />
            <OutQueue entryType="eEntryTypeGeneral" />
        </Node>
        <Node Id="1" ModuleType="eFxModule" Optional="true">
            <InMode Name="AUDIO_SIGNALPROCESSINGMODE_DEFAULT" />
            <InMode Name="AUDIO_SIGNALPROCESSINGMODE_COMMUNICATIONS" />
            <InMode Name="AUDIO_SIGNALPROCESSINGMODE_NOTIFICATION" />
            <InMode Name="AUDIO_SIGNALPROCESSINGMODE_MEDIA" />
            <InMode Name="AUDIO_SIGNALPROCESSINGMODE_MOVIE" />
            <InQueue entryType="eEntryTypeGeneral" />
            <OutQueue entryType="eEntryTypeGeneral" />
        </Node>
        <Node Id="2" ModuleType="ePeakVolModule" Optional="false">
            <InQueue entryType="eEntryTypeGeneral" />
            <OutQueue entryType="eEntryTypeGeneral" />
        </Node>
        <Node Id="3" ModuleType="eMixInModule" Optional="false">
            <InQueue entryType="eEntryTypeGeneral" />
            <OutQueue entryType="eEntryTypePath" />
        </Node>
    </Path>
    <Path Name="" Id="eIntcPathRenderUltrasound" Idx="4">
        <Caps HostLink="INTC_OE_PATH_HOSTLINK_OTHER" Direction="INTC_OE_PATH_DIRECTION_RENDER" Priority="0" Longbuf="false" />
    </Path>
    <Path Name="Render ultrasound pin FW" Id="eIntcPathRenderFwUltrasound" Idx="5">
        <Caps PATH_FEATURE_ULTRASOUND="1" limitLowRes="1" HostLink="INTC_OE_PATH_HOSTLINK_OTHER" Direction="INTC_OE_PATH_DIRECTION_RENDER" Priority="2" Longbuf="false" />
        <Node Id="0" ModuleType="eCopierModule" Optional="false">
            <InMode Name="AUDIO_SIGNALPROCESSINGMODE_DEFAULT" />
            <InQueue entryType="eEntryTypeUltrasound" />
            <OutQueue entryType="eEntryTypeGeneral" />
        </Node>
        <Node Id="1" ModuleType="eMixInModule" Optional="false">
            <InMode Name="AUDIO_SIGNALPROCESSINGMODE_DEFAULT" />
            <InQueue entryType="eEntryTypeGeneral" />
            <OutQueue entryType="eEntryTypePath" />
        </Node>
    </Path>
    <Path Name="Render SDCA Ultrasound Link" Id="eIntcPathRenderUltrasoundLink" Idx="6">
        <Caps PATH_FEATURE_ULTRASOUND="1" limitLowRes="1" HostLink="INTC_OE_PATH_HOSTLINK_LINK" Direction="INTC_OE_PATH_DIRECTION_RENDER" Priority="2" Longbuf="false" />
        <Node Id="0" ModuleType="eCopierModule" Optional="false">
            <InMode Name="AUDIO_SIGNALPROCESSINGMODE_DEFAULT" />
            <InQueue entryType="eEntryTypeUltrasound" />
            <OutQueue entryType="eEntryTypeGeneral" />
        </Node>
        <Node Id="1" ModuleType="eCopierModule" Optional="false">
            <InQueue entryType="eEntryTypeGeneral" />
            <OutQueue entryType="eEntryTypeDma" />
        </Node>
    </Path>
    <Path Name="Render MFX" Id="eIntcPathRenderMfx" Idx="7">
        <Caps MFX="1" limitLowRes="1" HostLink="INTC_OE_PATH_HOSTLINK_OTHER" Direction="INTC_OE_PATH_DIRECTION_RENDER" Priority="1" Longbuf="false" />
        <Node Id="0" ModuleType="eMixOutModule" Optional="false">
            <InQueue entryType="eEntryTypePath" />
            <InQueue entryType="eEntryTypePath" />
            <InQueue entryType="eEntryTypePath" />
            <InQueue entryType="eEntryTypePath" />
            <InQueue entryType="eEntryTypePath" />
            <InQueue entryType="eEntryTypePath" />
            <InQueue entryType="eEntryTypePath" />
            <InQueue entryType="eEntryTypePath" />
            <OutQueue entryType="eEntryTypeGeneral" />
        </Node>
        <Node Id="1" ModuleType="eFxModule" Optional="false">
            <InMode Name="AUDIO_SIGNALPROCESSINGMODE_DEFAULT" />
            <InMode Name="AUDIO_SIGNALPROCESSINGMODE_COMMUNICATIONS" />
            <InMode Name="AUDIO_SIGNALPROCESSINGMODE_NOTIFICATION" />
            <InMode Name="AUDIO_SIGNALPROCESSINGMODE_MEDIA" />
            <InMode Name="AUDIO_SIGNALPROCESSINGMODE_MOVIE" />
            <InQueue entryType="eEntryTypeGeneral" />
            <OutQueue entryType="eEntryTypeGeneral" />
        </Node>
        <Node Id="2" ModuleType="eMixInModule" Optional="false">
            <InQueue entryType="eEntryTypeGeneral" />
            <OutQueue entryType="eEntryTypePath" />
        </Node>
    </Path>
    <Path Name="Render EFX" Id="eIntcPathRenderEfx" Idx="8">
        <Caps EFX="1" limitLowRes="1" HostLink="INTC_OE_PATH_HOSTLINK_OTHER" Direction="INTC_OE_PATH_DIRECTION_RENDER" Priority="2" Longbuf="false" />
        <Node Id="0" ModuleType="eMixOutModule" Optional="false">
            <InQueue entryType="eEntryTypePath" />
            <InQueue entryType="eEntryTypePath" />
            <InQueue entryType="eEntryTypePath" />
            <InQueue entryType="eEntryTypePath" />
            <InQueue entryType="eEntryTypePath" />
            <InQueue entryType="eEntryTypePath" />
            <InQueue entryType="eEntryTypePath" />
            <InQueue entryType="eEntryTypePath" />
            <OutQueue entryType="eEntryTypeGeneral" />
        </Node>
        <Node Id="1" ModuleType="eAriaModule" Optional="false">
            <InQueue entryType="eEntryTypeGeneral" />
            <OutQueue entryType="eEntryTypeGeneral" />
        </Node>
        <Node Id="2" ModuleType="eCopierModule" Optional="false">
            <InQueue entryType="eEntryTypeGeneral" />
            <OutQueue entryType="eEntryTypeGeneral" />
            <OutQueue entryType="eEntryTypeLoop" />
        </Node>
        <Node Id="3" ModuleType="eFxModule" Optional="true">
            <InMode Name="AUDIO_SIGNALPROCESSINGMODE_RAW" />
            <InMode Name="AUDIO_SIGNALPROCESSINGMODE_DEFAULT" />
            <InMode Name="AUDIO_SIGNALPROCESSINGMODE_COMMUNICATIONS" />
            <InMode Name="AUDIO_SIGNALPROCESSINGMODE_NOTIFICATION" />
            <InMode Name="AUDIO_SIGNALPROCESSINGMODE_MEDIA" />
            <InMode Name="AUDIO_SIGNALPROCESSINGMODE_MOVIE" />
            <InQueue entryType="eEntryTypeGeneral" />
            <OutQueue entryType="eEntryTypeGeneral" />
        </Node>
        <Node Id="4" ModuleType="ePeakVolModule" Optional="false">
            <InQueue entryType="eEntryTypeGeneral" />
            <OutQueue entryType="eEntryTypeGeneral" />
        </Node>
        <Node Id="5" ModuleType="eMixInModule" Optional="false">
            <InQueue entryType="eEntryTypeGeneral" />
            <OutQueue entryType="eEntryTypePath" />
        </Node>
    </Path>
    <Path Name="Render link" Id="eIntcPathRenderLink" Idx="9">
        <Caps FXF="1" limitLowRes="1" HostLink="INTC_OE_PATH_HOSTLINK_LINK" Direction="INTC_OE_PATH_DIRECTION_RENDER" Priority="3" Longbuf="false" />
        <Node Id="0" ModuleType="eMixOutModule" Optional="false">
            <InQueue entryType="eEntryTypePath" />
            <InQueue entryType="eEntryTypePath" />
            <InQueue entryType="eEntryTypePath" />
            <InQueue entryType="eEntryTypePath" />
            <InQueue entryType="eEntryTypePath" />
            <InQueue entryType="eEntryTypePath" />
            <InQueue entryType="eEntryTypePath" />
            <InQueue entryType="eEntryTypePath" />
            <OutQueue entryType="eEntryTypeGeneral" />
        </Node>
        <Node Id="1" ModuleType="eFxFModule" Optional="true">
            <InMode Name="AUDIO_SIGNALPROCESSINGMODE_RAW" />
            <InMode Name="AUDIO_SIGNALPROCESSINGMODE_DEFAULT" />
            <InMode Name="AUDIO_SIGNALPROCESSINGMODE_COMMUNICATIONS" />
            <InMode Name="AUDIO_SIGNALPROCESSINGMODE_NOTIFICATION" />
            <InMode Name="AUDIO_SIGNALPROCESSINGMODE_MEDIA" />
            <InMode Name="AUDIO_SIGNALPROCESSINGMODE_MOVIE" />
            <InQueue entryType="eEntryTypeGeneral" />
            <InQueue entryType="eEntryTypeFeedback" />
            <OutQueue entryType="eEntryTypeGeneral" />
            <OutQueue entryType="eEntryTypePath" />
            <OutQueue entryType="eEntryTypeReference" />
            <OutQueue entryType="eEntryTypeReference" />
            <OutQueue entryType="eEntryTypeReference" />
            <OutQueue entryType="eEntryTypeReference" />
            <OutQueue entryType="eEntryTypeReference" />
            <OutQueue entryType="eEntryTypeReference" />
        </Node>
        <Node Id="2" ModuleType="eCopierModule" Optional="false">
            <InQueue entryType="eEntryTypeGeneral" />
            <OutQueue entryType="eEntryTypeGeneral" />
            <OutQueue entryType="eEntryTypePath" />
            <OutQueue entryType="eEntryTypeReference" />
            <OutQueue entryType="eEntryTypeReference" />
            <OutQueue entryType="eEntryTypeReference" />
            <OutQueue entryType="eEntryTypeReference" />
            <OutQueue entryType="eEntryTypeReference" />
            <OutQueue entryType="eEntryTypeReference" />
        </Node>
        <Node Id="3" ModuleType="eCopierModule" Optional="false">
            <InQueue entryType="eEntryTypeGeneral" />
            <OutQueue entryType="eEntryTypeDma" />
        </Node>
    </Path>
    <Path Name="Render link feedback" Id="eIntcPathRenderLinkFeedback" Idx="10">
        <Caps HostLink="INTC_OE_PATH_HOSTLINK_LINK" Direction="INTC_OE_PATH_DIRECTION_CAPTURE" Priority="1" Longbuf="false" />
        <Node Id="0" ModuleType="eCopierModule" Optional="false">
            <InQueue entryType="eEntryTypeDma" />
            <OutQueue entryType="eEntryTypeFeedback" />
        </Node>
    </Path>
    <Path Name="Render loopback" Id="eIntcPathRenderLoopback" Idx="11">
        <Caps HostLink="INTC_OE_PATH_HOSTLINK_HOST" Direction="INTC_OE_PATH_DIRECTION_CAPTURE" Priority="4" Longbuf="false" />
        <Node Id="0" ModuleType="eCopierModule" Optional="false">
            <InMode Name="AUDIO_SIGNALPROCESSINGMODE_POSTVOLLOOPBACK" />
            <InMode Name="AUDIO_SIGNALPROCESSINGMODE_RAW" />
            <InMode Name="AUDIO_SIGNALPROCESSINGMODE_DEFAULT" />
            <InQueue entryType="eEntryTypePath" />
            <OutQueue entryType="eEntryTypeGeneral" />
        </Node>
        <Node Id="1" ModuleType="eMicSelectModule" Optional="false">
            <InMode Name="AUDIO_SIGNALPROCESSINGMODE_POSTVOLLOOPBACK" />
            <InMode Name="AUDIO_SIGNALPROCESSINGMODE_RAW" />
            <InMode Name="AUDIO_SIGNALPROCESSINGMODE_DEFAULT" />
            <InQueue entryType="eEntryTypeGeneral" />
            <OutQueue entryType="eEntryTypeGeneral" />
        </Node>
        <Node Id="2" ModuleType="eCopierModule" Optional="false">
            <InMode Name="AUDIO_SIGNALPROCESSINGMODE_POSTVOLLOOPBACK" />
            <InMode Name="AUDIO_SIGNALPROCESSINGMODE_RAW" />
            <InMode Name="AUDIO_SIGNALPROCESSINGMODE_DEFAULT" />
            <InQueue entryType="eEntryTypeGeneral" />
            <OutQueue entryType="eEntryTypeDma" />
        </Node>
    </Path>
    <Path Name="Render loopback Pre" Id="eIntcPathRenderLoopbackPre" Idx="12">
        <Caps HostLink="INTC_OE_PATH_HOSTLINK_HOST" Direction="INTC_OE_PATH_DIRECTION_CAPTURE" Priority="4" Longbuf="false" />
        <Node Id="0" ModuleType="eCopierModule" Optional="false">
            <InMode Name="AUDIO_SIGNALPROCESSINGMODE_PREVOLLOOPBACK" />
            <InQueue entryType="eEntryTypeLoop" />
            <OutQueue entryType="eEntryTypeGeneral" />
        </Node>
        <Node Id="1" ModuleType="eMicSelectModule" Optional="false">
            <InMode Name="AUDIO_SIGNALPROCESSINGMODE_PREVOLLOOPBACK" />
            <InQueue entryType="eEntryTypeGeneral" />
            <OutQueue entryType="eEntryTypeGeneral" />
        </Node>
        <Node Id="2" ModuleType="eCopierModule" Optional="false">
            <InMode Name="AUDIO_SIGNALPROCESSINGMODE_PREVOLLOOPBACK" />
            <InQueue entryType="eEntryTypeGeneral" />
            <OutQueue entryType="eEntryTypeDma" />
        </Node>
    </Path>
    <Path Name="Capture passthrough" Id="eIntcPathCapturePassthrough" Idx="13">
        <Caps HostLink="INTC_OE_PATH_HOSTLINK_PASS" Direction="INTC_OE_PATH_DIRECTION_CAPTURE" Priority="0" Longbuf="false" />
        <Node Id="0" ModuleType="eCopierModule" Optional="false">
            <InQueue entryType="eEntryTypeDma" />
            <OutQueue entryType="eEntryTypeGeneral" />
        </Node>
        <Node Id="1" ModuleType="eCopierModule" Optional="false">
            <InQueue entryType="eEntryTypeGeneral" />
            <OutQueue entryType="eEntryTypeDma" />
        </Node>
    </Path>
    <Path Name="Capture chained" Id="eIntcPathCaptureChained" Idx="14">
        <Caps HostLink="INTC_OE_PATH_HOSTLINK_PASS" Direction="INTC_OE_PATH_DIRECTION_CAPTURE" Priority="0" Longbuf="false" />
        <Node Id="0" ModuleType="eFakeCopierModule" Optional="false">
            <InQueue entryType="eEntryTypeDma" />
            <OutQueue entryType="eEntryTypeGeneral" />
        </Node>
        <Node Id="1" ModuleType="eFakeCopierModule" Optional="false">
            <InQueue entryType="eEntryTypeGeneral" />
            <OutQueue entryType="eEntryTypeDma" />
        </Node>
    </Path>
    <Path Name="Capture system pin" Id="eIntcPathCaptureSystem" Idx="15">
        <Caps MFX="1" HostLink="INTC_OE_PATH_HOSTLINK_HOST" Direction="INTC_OE_PATH_DIRECTION_CAPTURE" Priority="6" Longbuf="false" />
        <Node Id="0" ModuleType="eCopierModule" Optional="false">
            <InQueue entryType="eEntryTypePath" />
            <OutQueue entryType="eEntryTypeGeneral" />
        </Node>
        <Node Id="1" ModuleType="eFxModule" Optional="true">
            <InMode Name="AUDIO_SIGNALPROCESSINGMODE_COMMUNICATIONS" />
            <InMode Name="AUDIO_SIGNALPROCESSINGMODE_SPEECH" />
            <InMode Name="AUDIO_SIGNALPROCESSINGMODE_RAW" />
            <InMode Name="AUDIO_SIGNALPROCESSINGMODE_DEFAULT" />
            <InQueue entryType="eEntryTypeGeneral" />
            <InQueue entryType="eEntryTypeReference" />
            <OutQueue entryType="eEntryTypeGeneral" />
        </Node>
        <Node Id="2" ModuleType="eCopierModule" Optional="false">
            <InQueue entryType="eEntryTypeGeneral" />
            <OutQueue entryType="eEntryTypeDma" />
        </Node>
    </Path>
    <Path Name="" Id="eIntcPathCaptureUltrasound" Idx="16">
        <Caps HostLink="INTC_OE_PATH_HOSTLINK_OTHER" Direction="INTC_OE_PATH_DIRECTION_RENDER" Priority="0" Longbuf="false" />
    </Path>
    <Path Name="Capture ultrasound pin FW" Id="eIntcPathCaptureFwUltrasound" Idx="17">
        <Caps ULS="1" PATH_FEATURE_ULTRASOUND="1" limitLowRes="1" HostLink="INTC_OE_PATH_HOSTLINK_OTHER" Direction="INTC_OE_PATH_DIRECTION_CAPTURE" Priority="1" Longbuf="false" />
        <Node Id="0" ModuleType="eMicSelectModule" Optional="false">
            <InMode Name="AUDIO_SIGNALPROCESSINGMODE_DEFAULT" />
            <InQueue entryType="eEntryTypePath" />
            <OutQueue entryType="eEntryTypeGeneral" />
        </Node>
        <Node Id="1" ModuleType="eDetectorModule" Optional="true">
            <InMode Name="AUDIO_SIGNALPROCESSINGMODE_DEFAULT" />
            <InQueue entryType="eEntryTypeGeneral" />
            <OutQueue entryType="eEntryTypeDebug" />
            <OutQueue entryType="eEntryTypeUltrasound" />
        </Node>
    </Path>
    <Path Name="SDCA Ultrasound processing" Id="eIntcPathCaptureSdcaUltrasoundProcessing" Idx="18">
        <Caps ULS="1" PATH_FEATURE_ULTRASOUND="1" limitLowRes="1" HostLink="INTC_OE_PATH_HOSTLINK_OTHER" Direction="INTC_OE_PATH_DIRECTION_CAPTURE" Priority="1" Longbuf="false" />
        <Node Id="0" ModuleType="eDetectorModule" Optional="false">
            <InMode Name="AUDIO_SIGNALPROCESSINGMODE_DEFAULT" />
            <InQueue entryType="eEntryTypePath" />
            <OutQueue entryType="eEntryTypeDebug" />
            <OutQueue entryType="eEntryTypeUltrasound" />
        </Node>
    </Path>
    <Path Name="Capture SDCA Ultrasound Link" Id="eIntcPathCaptureUltrasoundLink" Idx="19">
        <Caps PATH_FEATURE_ULTRASOUND="1" limitLowRes="1" HostLink="INTC_OE_PATH_HOSTLINK_LINK" Direction="INTC_OE_PATH_DIRECTION_CAPTURE" Priority="0" Longbuf="false" />
        <Node Id="0" ModuleType="eCopierModule" Optional="false">
            <InQueue entryType="eEntryTypeDma" />
            <OutQueue entryType="eEntryTypePath" />
        </Node>
    </Path>
    <Path Name="Capture Windows VAD pin" Id="eIntcPathCaptureWindowsVAD" Idx="20">
        <Caps HostLink="INTC_OE_PATH_HOSTLINK_HOST" Direction="INTC_OE_PATH_DIRECTION_CAPTURE" Priority="7" Longbuf="true" />
        <Node Id="0" ModuleType="eCopierModule" Optional="false">
            <InMode Name="AUDIO_SIGNALPROCESSINGMODE_RAW" />
            <InQueue entryType="eEntryTypeWindowsVAD" />
            <OutQueue entryType="eEntryTypeDma" />
        </Node>
    </Path>
    <Path Name="Capture detect pin" Id="eIntcPathCaptureDetect" Idx="21">
        <Caps HostLink="INTC_OE_PATH_HOSTLINK_OTHER" Direction="INTC_OE_PATH_DIRECTION_CAPTURE" Priority="7" Longbuf="false" />
        <Node Id="0" ModuleType="eWovModule" Optional="false">
            <InQueue entryType="eEntryTypeDetect" />
        </Node>
    </Path>
    <Path Name="Capture system pin process" Id="eIntcPathCaptureSystemProcess" Idx="22">
        <Caps EFX="1" HostLink="INTC_OE_PATH_HOSTLINK_OTHER" Direction="INTC_OE_PATH_DIRECTION_CAPTURE" Priority="1" Longbuf="false" />
        <Node Id="0" ModuleType="eMicSelectModule" Optional="false">
            <InQueue entryType="eEntryTypePath" />
            <OutQueue entryType="eEntryTypeGeneral" />
        </Node>
        <Node Id="1" ModuleType="eFxModule" Optional="true">
            <InMode Name="AUDIO_SIGNALPROCESSINGMODE_RAW" />
            <InMode Name="AUDIO_SIGNALPROCESSINGMODE_COMMUNICATIONS" />
            <InMode Name="AUDIO_SIGNALPROCESSINGMODE_SPEECH" />
            <InMode Name="AUDIO_SIGNALPROCESSINGMODE_DEFAULT" />
            <InQueue entryType="eEntryTypeGeneral" />
            <InQueue entryType="eEntryTypeReference" />
            <OutQueue entryType="eEntryTypeGeneral" />
        </Node>
        <Node Id="2" ModuleType="ePeakVolModule" Optional="false">
            <InQueue entryType="eEntryTypeGeneral" />
            <OutQueue entryType="eEntryTypeGeneral" />
        </Node>
        <Node Id="3" ModuleType="eCopierModule" Optional="false">
            <InQueue entryType="eEntryTypeGeneral" />
            <OutQueue entryType="eEntryTypePath" />
            <OutQueue entryType="eEntryTypePath" />
            <OutQueue entryType="eEntryTypePath" />
            <OutQueue entryType="eEntryTypePath" />
            <OutQueue entryType="eEntryTypePath" />
            <OutQueue entryType="eEntryTypePath" />
            <OutQueue entryType="eEntryTypePath" />
            <OutQueue entryType="eEntryTypePath" />
        </Node>
    </Path>
    <Path Name="Capture KPB" Id="eIntcPathCaptureKpb" Idx="23">
        <Caps HostLink="INTC_OE_PATH_HOSTLINK_OTHER" Direction="INTC_OE_PATH_DIRECTION_CAPTURE" Priority="6" Longbuf="false" />
        <Node Id="0" ModuleType="eCopierModule" Optional="false">
            <InQueue entryType="eEntryTypePath" />
            <OutQueue entryType="eEntryTypeGeneral" />
        </Node>
        <Node Id="1" ModuleType="eAecModule" Optional="false">
            <InQueue entryType="eEntryTypeGeneral" />
            <InQueue entryType="eEntryTypeReference" />
            <OutQueue entryType="eEntryTypeGeneral" />
        </Node>
        <Node Id="2" ModuleType="eKpbModule" Optional="false">
            <InQueue entryType="eEntryTypeGeneral" />
            <OutQueue entryType="eEntryTypeDetect" />
            <OutQueue entryType="eEntryTypeDetect" />
            <OutQueue entryType="eEntryTypeDetect" />
            <OutQueue entryType="eEntryTypeDetect" />
            <OutQueue entryType="eEntryTypeWindowsVAD" />
        </Node>
    </Path>
    <Path Name="" Id="eIntcPathCaptureSpeechProcess" Idx="24">
        <Caps HostLink="INTC_OE_PATH_HOSTLINK_OTHER" Direction="INTC_OE_PATH_DIRECTION_RENDER" Priority="0" Longbuf="false" />
    </Path>
    <Path Name="Capture link" Id="eIntcPathCaptureLink" Idx="25">
        <Caps limitLowRes="1" HostLink="INTC_OE_PATH_HOSTLINK_LINK" Direction="INTC_OE_PATH_DIRECTION_CAPTURE" Priority="0" Longbuf="false" />
        <Node Id="0" ModuleType="eCopierModule" Optional="false">
            <InQueue entryType="eEntryTypeDma" />
            <OutQueue entryType="eEntryTypeGeneral" />
        </Node>
        <Node Id="1" ModuleType="eAsrcModule" Optional="true">
            <InQueue entryType="eEntryTypeGeneral" />
            <OutQueue entryType="eEntryTypeGeneral" />
        </Node>
        <Node Id="2" ModuleType="eFxModule" Optional="true">
            <InQueue entryType="eEntryTypeGeneral" />
            <OutQueue entryType="eEntryTypeGeneral" />
        </Node>
        <Node Id="3" ModuleType="eCopierModule" Optional="false">
            <InQueue entryType="eEntryTypeGeneral" />
            <OutQueue entryType="eEntryTypePath" />
            <OutQueue entryType="eEntryTypePath" />
            <OutQueue entryType="eEntryTypePath" />
            <OutQueue entryType="eEntryTypePath" />
            <OutQueue entryType="eEntryTypePath" />
            <OutQueue entryType="eEntryTypePath" />
            <OutQueue entryType="eEntryTypePath" />
            <OutQueue entryType="eEntryTypePath" />
        </Node>
    </Path>
    <Path Name="Capture reference" Id="eIntcPathCaptureReference" Idx="26">
        <Caps HostLink="INTC_OE_PATH_HOSTLINK_OTHER" Direction="INTC_OE_PATH_DIRECTION_CAPTURE" Priority="4" Longbuf="false" />
        <Node Id="0" ModuleType="eCopierModule" Optional="false">
            <InQueue entryType="eEntryTypeReference" />
            <OutQueue entryType="eEntryTypeGeneral" />
        </Node>
        <Node Id="1" ModuleType="eMicSelectModule" Optional="false">
            <InQueue entryType="eEntryTypeGeneral" />
            <OutQueue entryType="eEntryTypeGeneral" />
        </Node>
        <Node Id="2" ModuleType="eCopierModule" Optional="false">
            <InQueue entryType="eEntryTypeGeneral" />
            <OutQueue entryType="eEntryTypeReference" />
            <OutQueue entryType="eEntryTypeReference" />
            <OutQueue entryType="eEntryTypeReference" />
            <OutQueue entryType="eEntryTypeReference" />
            <OutQueue entryType="eEntryTypeReference" />
            <OutQueue entryType="eEntryTypeReference" />
            <OutQueue entryType="eEntryTypeReference" />
            <OutQueue entryType="eEntryTypeReference" />
        </Node>
    </Path>
    <Path Name="Capture link speech DMIC" Id="eIntcPathCaptureLinkSpeechDmic" Idx="27">
        <Caps HostLink="INTC_OE_PATH_HOSTLINK_LINK" Direction="INTC_OE_PATH_DIRECTION_CAPTURE" Priority="5" Longbuf="false" />
        <Node Id="0" ModuleType="eWhmModule" Optional="false">
            <InQueue entryType="eEntryTypeDma" />
            <OutQueue entryType="eEntryTypeGeneral" />
        </Node>
        <Node Id="1" ModuleType="eCopierModule" Optional="false">
            <InQueue entryType="eEntryTypeGeneral" />
            <OutQueue entryType="eEntryTypePath" />
            <OutQueue entryType="eEntryTypePath" />
            <OutQueue entryType="eEntryTypePath" />
            <OutQueue entryType="eEntryTypePath" />
            <OutQueue entryType="eEntryTypePath" />
            <OutQueue entryType="eEntryTypePath" />
            <OutQueue entryType="eEntryTypePath" />
            <OutQueue entryType="eEntryTypePath" />
        </Node>
    </Path>
    <Path Name="Capture aca process" Id="eIntcPathCaptureAcaProcess" Idx="28">
        <Caps PATH_FEATURE_ACA="1" HostLink="INTC_OE_PATH_HOSTLINK_OTHER" Direction="INTC_OE_PATH_DIRECTION_CAPTURE" Priority="6" Longbuf="false" />
        <Node Id="0" ModuleType="eMicSelectModule" Optional="false">
            <InQueue entryType="eEntryTypePath" />
            <OutQueue entryType="eEntryTypeGeneral" />
        </Node>
        <Node Id="1" ModuleType="eCopierModule" Optional="false">
            <InQueue entryType="eEntryTypeGeneral" />
            <OutQueue entryType="eEntryTypePath" />
            <OutQueue entryType="eEntryTypePath" />
            <OutQueue entryType="eEntryTypePath" />
            <OutQueue entryType="eEntryTypePath" />
            <OutQueue entryType="eEntryTypePath" />
            <OutQueue entryType="eEntryTypePath" />
            <OutQueue entryType="eEntryTypePath" />
            <OutQueue entryType="eEntryTypePath" />
        </Node>
    </Path>
    <Path Name="Capture aca detection" Id="eIntcPathCaptureAcaDetection" Idx="29">
        <Caps ACA="1" PATH_FEATURE_ACA="1" HostLink="INTC_OE_PATH_HOSTLINK_OTHER" Direction="INTC_OE_PATH_DIRECTION_CAPTURE" Priority="7" Longbuf="false" />
        <Node Id="0" ModuleType="eCopierModule" Optional="false">
            <InMode Name="AUDIO_SIGNALPROCESSINGMODE_ACA0" />
            <InQueue entryType="eEntryTypePath" />
            <OutQueue entryType="eEntryTypeGeneral" />
        </Node>
        <Node Id="1" ModuleType="eAudClassModule" Optional="false">
            <InMode Name="AUDIO_SIGNALPROCESSINGMODE_ACA0" />
            <InQueue entryType="eEntryTypeGeneral" />
        </Node>
    </Path>
    <Path Name="Capture detection" Id="eIntcPathCaptureDetection" Idx="30">
        <Caps ACA="1" PATH_FEATURE_ACA="1" limitFeature="1" HostLink="INTC_OE_PATH_HOSTLINK_OTHER" Direction="INTC_OE_PATH_DIRECTION_CAPTURE" Priority="7" Longbuf="false" />
        <Node Id="0" ModuleType="eAudClassModule" Optional="false">
            <InMode Name="AUDIO_SIGNALPROCESSINGMODE_DET0" />
            <InMode Name="AUDIO_SIGNALPROCESSINGMODE_DET1" />
            <InMode Name="AUDIO_SIGNALPROCESSINGMODE_DET2" />
            <InMode Name="AUDIO_SIGNALPROCESSINGMODE_DET3" />
            <InQueue entryType="eEntryTypeDetect" />
        </Node>
    </Path>
    <Stream Id="eIntcStreamRenderLegacy" Idx="0" Name="Render legacy" HandlePath="eIntcPathRenderPassthrough">
        <StreamType Direction="eIntcGraphDirectionRender" Link="eLinkNone" Type="eIntcGraphLegacy" Pipe="eIntcOERenderPipeSystem" />
        <PathItem Id="0" BindType="eEntryTypePath">
            <SrcPath Id="eIntcPathRenderPassthrough" Optional="false" />
            <DstPath Id="INTC_OE_NO_PATH" Optional="false" />
        </PathItem>
    </Stream>
    <Stream Id="eIntcStreamRenderChained" Idx="1" Name="Render chained" HandlePath="eIntcPathRenderChained">
        <StreamType Direction="eIntcGraphDirectionRender" Link="eLinkNone" Type="eIntcGraphChained" Pipe="eIntcOERenderPipeSystem" />
        <PathItem Id="0" BindType="eEntryTypePath">
            <SrcPath Id="eIntcPathRenderChained" Optional="false" />
            <DstPath Id="INTC_OE_NO_PATH" Optional="false" />
        </PathItem>
    </Stream>
    <Stream Id="eIntcStreamRenderSystem" Idx="2" Name="Render system pin" HandlePath="eIntcPathRenderSystem">
        <StreamType Direction="eIntcGraphDirectionRender" Link="eLinkNone" Type="eIntcGraphOffload" Pipe="eIntcOERenderPipeSystem" />
        <PathItem Id="0" BindType="eEntryTypePath">
            <SrcPath Id="eIntcPathRenderSystem" Optional="false" />
            <DstPath Id="eIntcPathRenderMfx" Optional="true" MFX="1" />
        </PathItem>
        <PathItem Id="1" BindType="eEntryTypePath">
            <SrcPath Id="eIntcPathRenderMfx" Optional="true" MFX="1" />
            <DstPath Id="eIntcPathRenderEfx" Optional="false" EFX="1" />
        </PathItem>
        <PathItem Id="2" BindType="eEntryTypePath">
            <SrcPath Id="eIntcPathRenderEfx" Optional="false" EFX="1" />
            <DstPath Id="eIntcPathRenderLink" Optional="false" />
        </PathItem>
        <PathItem Id="3" BindType="eEntryTypeFeedback">
            <SrcPath Id="eIntcPathRenderLinkFeedback" Optional="true" FXF="1" />
            <DstPath Id="eIntcPathRenderLink" Optional="false" />
        </PathItem>
    </Stream>
    <Stream Id="eIntcStreamRenderOffload" Idx="3" Name="Render offload pin" HandlePath="eIntcPathRenderOffload">
        <StreamType Direction="eIntcGraphDirectionRender" Link="eLinkNone" Type="eIntcGraphOffload" Pipe="eIntcOERenderPipeOffload" />
        <PathItem Id="0" BindType="eEntryTypePath">
            <SrcPath Id="eIntcPathRenderOffload" Optional="false" />
            <DstPath Id="eIntcPathRenderMfx" Optional="true" MFX="1" />
        </PathItem>
        <PathItem Id="1" BindType="eEntryTypePath">
            <SrcPath Id="eIntcPathRenderMfx" Optional="true" MFX="1" />
            <DstPath Id="eIntcPathRenderEfx" Optional="false" EFX="1" />
        </PathItem>
        <PathItem Id="2" BindType="eEntryTypePath">
            <SrcPath Id="eIntcPathRenderEfx" Optional="false" EFX="1" />
            <DstPath Id="eIntcPathRenderLink" Optional="false" />
        </PathItem>
        <PathItem Id="3" BindType="eEntryTypeFeedback">
            <SrcPath Id="eIntcPathRenderLinkFeedback" Optional="true" FXF="1" />
            <DstPath Id="eIntcPathRenderLink" Optional="false" />
        </PathItem>
    </Stream>
    <Stream Id="eIntcStreamRenderUltrasound" Idx="4" Name="" HandlePath="eIntcPathRenderPassthrough">
        <StreamType Direction="eIntcGraphDirectionRender" Link="eLinkNone" Type="eIntcGraphOffload" Pipe="eIntcOERenderPipeSystem" />
    </Stream>
    <Stream Id="eIntcStreamRenderFwUltrasound" Idx="5" Name="Render ultrasound pin FW" HandlePath="eIntcPathRenderFwUltrasound">
        <StreamType Direction="eIntcGraphDirectionRender" Link="eLinkNone" Type="eIntcGraphOffload" Pipe="eIntcOERenderPipeUltrasound" />
        <PathItem Id="0" BindType="eEntryTypePath">
            <SrcPath Id="eIntcPathRenderFwUltrasound" Optional="false" />
            <DstPath Id="eIntcPathRenderLink" Optional="false" />
        </PathItem>
        <PathItem Id="1" BindType="eEntryTypeFeedback">
            <SrcPath Id="eIntcPathRenderLinkFeedback" Optional="true" FXF="1" />
            <DstPath Id="eIntcPathRenderLink" Optional="false" />
        </PathItem>
    </Stream>
    <Stream Id="eIntcStreamRenderSdcaUltrasound" Idx="6" Name="Render SDCA Ultrasound" HandlePath="eIntcPathRenderUltrasoundLink">
        <StreamType Direction="eIntcGraphDirectionRender" Link="eLinkSDW" Type="eIntcGraphOffload" Pipe="eIntcOERenderPipeUltrasound" />
        <PathItem Id="0" BindType="eEntryTypePath">
            <SrcPath Id="eIntcPathRenderUltrasoundLink" Optional="false" />
            <DstPath Id="INTC_OE_NO_PATH" Optional="false" />
        </PathItem>
    </Stream>
    <Stream Id="eIntcStreamLoopback" Idx="7" Name="Loopback Post" HandlePath="eIntcPathRenderLoopback">
        <StreamType Direction="eIntcGraphDirectionRender" Link="eLinkNone" Type="eIntcGraphOffload" Pipe="eIntcOERenderPipeLoopback" />
        <PathItem Id="0" BindType="eEntryTypePath">
            <SrcPath Id="eIntcPathRenderLink" Optional="false" />
            <DstPath Id="eIntcPathRenderLoopback" Optional="false" />
        </PathItem>
        <PathItem Id="1" BindType="eEntryTypeFeedback">
            <SrcPath Id="eIntcPathRenderLinkFeedback" Optional="true" FXF="1" />
            <DstPath Id="eIntcPathRenderLink" Optional="false" />
        </PathItem>
    </Stream>
    <Stream Id="eIntcStreamLoopbackPre" Idx="8" Name="Loopback Pre" HandlePath="eIntcPathRenderLoopbackPre">
        <StreamType Direction="eIntcGraphDirectionRender" Link="eLinkNone" Type="eIntcGraphOffload" Pipe="eIntcOERenderPipeLoopback" />
        <PathItem Id="0" BindType="eEntryTypePath">
            <SrcPath Id="eIntcPathRenderEfx" Optional="false" EFX="1" />
            <DstPath Id="eIntcPathRenderLink" Optional="false" />
        </PathItem>
        <PathItem Id="1" BindType="eEntryTypeLoop">
            <SrcPath Id="eIntcPathRenderEfx" Optional="false" />
            <DstPath Id="eIntcPathRenderLoopbackPre" Optional="false" />
        </PathItem>
        <PathItem Id="2" BindType="eEntryTypeFeedback">
            <SrcPath Id="eIntcPathRenderLinkFeedback" Optional="true" FXF="1" />
            <DstPath Id="eIntcPathRenderLink" Optional="false" />
        </PathItem>
    </Stream>
    <Stream Id="eIntcStreamCaptureLegacy" Idx="9" Name="Capture legacy" HandlePath="eIntcPathCapturePassthrough">
        <StreamType Direction="eIntcGraphDirectionCapture" Link="eLinkNone" Type="eIntcGraphLegacy" Pipe="eIntcOECapturePipeSystem" />
        <PathItem Id="0" BindType="eEntryTypePath">
            <SrcPath Id="eIntcPathCapturePassthrough" Optional="false" />
            <DstPath Id="INTC_OE_NO_PATH" Optional="false" />
        </PathItem>
    </Stream>
    <Stream Id="eIntcStreamCaptureChained" Idx="10" Name="Capture chained" HandlePath="eIntcPathCaptureChained">
        <StreamType Direction="eIntcGraphDirectionCapture" Link="eLinkNone" Type="eIntcGraphChained" Pipe="eIntcOECapturePipeSystem" />
        <PathItem Id="0" BindType="eEntryTypePath">
            <SrcPath Id="eIntcPathCaptureChained" Optional="false" />
            <DstPath Id="INTC_OE_NO_PATH" Optional="false" />
        </PathItem>
    </Stream>
    <Stream Id="eIntcStreamCaptureSystem" Idx="11" Name="Capture system pin" HandlePath="eIntcPathCaptureSystem">
        <StreamType Direction="eIntcGraphDirectionCapture" Link="eLinkNone" Type="eIntcGraphOffload" Pipe="eIntcOECapturePipeSystem" />
        <PathItem Id="0" BindType="eEntryTypePath">
            <SrcPath Id="eIntcPathCaptureLink" Optional="false" />
            <DstPath Id="eIntcPathCaptureSystemProcess" Optional="false" />
        </PathItem>
        <PathItem Id="1" BindType="eEntryTypePath">
            <SrcPath Id="eIntcPathCaptureSystemProcess" Optional="false" />
            <DstPath Id="eIntcPathCaptureSystem" Optional="false" />
        </PathItem>
        <PathItem Id="2" BindType="eEntryTypeReference">
            <SrcPath Id="eIntcPathRenderLink" Optional="true" />
            <DstPath Id="eIntcPathCaptureReference" Optional="false" />
        </PathItem>
        <PathItem Id="3" BindType="eEntryTypeReference">
            <SrcPath Id="eIntcPathCaptureReference" Optional="true" />
            <DstPath Id="eIntcPathCaptureSystem" Optional="false" />
        </PathItem>
        <PathItem Id="4" BindType="eEntryTypeReference">
            <SrcPath Id="eIntcPathCaptureReference" Optional="true" />
            <DstPath Id="eIntcPathCaptureSystemProcess" Optional="false" />
        </PathItem>
    </Stream>
    <Stream Id="eIntcStreamCaptureUltrasound" Idx="12" Name="" HandlePath="eIntcPathRenderPassthrough">
        <StreamType Direction="eIntcGraphDirectionRender" Link="eLinkNone" Type="eIntcGraphOffload" Pipe="eIntcOERenderPipeSystem" />
    </Stream>
    <Stream Id="eIntcStreamCaptureFwUltrasound" Idx="13" Name="Capture ultrasound pin FW" HandlePath="eIntcPathCaptureFwUltrasound">
        <StreamType Direction="eIntcGraphDirectionCapture" Link="eLinkNone" Type="eIntcGraphOffload" Pipe="eIntcOECapturePipeUltrasound" />
        <PathItem Id="0" BindType="eEntryTypePath">
            <SrcPath Id="eIntcPathCaptureLink" Optional="false" />
            <DstPath Id="eIntcPathCaptureFwUltrasound" Optional="false" ULS="1" />
        </PathItem>
        <PathItem Id="1" BindType="eEntryTypeUltrasound">
            <SrcPath Id="eIntcPathCaptureFwUltrasound" Optional="false" ULS="1" />
            <DstPath Id="eIntcPathRenderFwUltrasound" Optional="true" />
        </PathItem>
    </Stream>
    <Stream Id="eIntcStreamCaptureSdcaUltrasound" Idx="14" Name="Capture SDCA Ultrasound" HandlePath="eIntcPathCaptureSdcaUltrasoundProcessing">
        <StreamType Direction="eIntcGraphDirectionCapture" Link="eLinkSDW" Type="eIntcGraphOffload" Pipe="eIntcOECapturePipeUltrasound" />
        <PathItem Id="0" BindType="eEntryTypePath">
            <SrcPath Id="eIntcPathCaptureUltrasoundLink" Optional="false" />
            <DstPath Id="eIntcPathCaptureSdcaUltrasoundProcessing" Optional="false" ULS="1" />
        </PathItem>
        <PathItem Id="1" BindType="eEntryTypeUltrasound">
            <SrcPath Id="eIntcPathCaptureSdcaUltrasoundProcessing" Optional="false" ULS="1" />
            <DstPath Id="eIntcPathRenderUltrasoundLink" Optional="true" />
        </PathItem>
    </Stream>
    <Stream Id="eIntcStreamCaptureWindowsVAD" Idx="15" Name="Capture Windows VAD pin" HandlePath="eIntcPathCaptureWindowsVAD">
        <StreamType Direction="eIntcGraphDirectionCapture" Link="eLinkNone" Type="eIntcGraphOffload" Pipe="eIntcOECapturePipeWindowsVAD" />
        <PathItem Id="0" BindType="eEntryTypePath">
            <SrcPath Id="eIntcPathCaptureLink" Optional="false" />
            <DstPath Id="eIntcPathCaptureKpb" Optional="false" />
        </PathItem>
        <PathItem Id="1" BindType="eEntryTypeWindowsVAD">
            <SrcPath Id="eIntcPathCaptureKpb" Optional="false" />
            <DstPath Id="eIntcPathCaptureWindowsVAD" Optional="false" />
        </PathItem>
        <PathItem Id="2" BindType="eEntryTypeDetect">
            <SrcPath Id="eIntcPathCaptureKpb" Optional="false" />
            <DstPath Id="eIntcPathCaptureDetect" Optional="true" />
        </PathItem>
        <PathItem Id="3" BindType="eEntryTypeReference">
            <SrcPath Id="eIntcPathRenderLink" Optional="true" />
            <DstPath Id="eIntcPathCaptureReference" Optional="false" />
        </PathItem>
        <PathItem Id="4" BindType="eEntryTypeReference">
            <SrcPath Id="eIntcPathCaptureReference" Optional="true" />
            <DstPath Id="eIntcPathCaptureKpb" Optional="true" />
        </PathItem>
    </Stream>
    <Stream Id="eIntcStreamCaptureWindowsVADDmic" Idx="16" Name="Capture Windows VAD pin DMIC" HandlePath="eIntcPathCaptureWindowsVAD">
        <StreamType Direction="eIntcGraphDirectionCapture" Link="eLinkPDM" Type="eIntcGraphOffload" Pipe="eIntcOECapturePipeWindowsVAD" />
        <PathItem Id="0" BindType="eEntryTypePath">
            <SrcPath Id="eIntcPathCaptureLinkSpeechDmic" Optional="false" />
            <DstPath Id="eIntcPathCaptureKpb" Optional="false" />
        </PathItem>
        <PathItem Id="1" BindType="eEntryTypeWindowsVAD">
            <SrcPath Id="eIntcPathCaptureKpb" Optional="false" />
            <DstPath Id="eIntcPathCaptureWindowsVAD" Optional="false" />
        </PathItem>
        <PathItem Id="2" BindType="eEntryTypeDetect">
            <SrcPath Id="eIntcPathCaptureKpb" Optional="false" />
            <DstPath Id="eIntcPathCaptureDetect" Optional="true" />
        </PathItem>
        <PathItem Id="3" BindType="eEntryTypeReference">
            <SrcPath Id="eIntcPathRenderLink" Optional="true" />
            <DstPath Id="eIntcPathCaptureReference" Optional="false" />
        </PathItem>
        <PathItem Id="4" BindType="eEntryTypeReference">
            <SrcPath Id="eIntcPathCaptureReference" Optional="true" />
            <DstPath Id="eIntcPathCaptureKpb" Optional="true" />
        </PathItem>
    </Stream>
    <Stream Id="eIntcStreamCaptureAca" Idx="17" Name="Capture aca pin" HandlePath="eIntcPathCaptureAcaDetection">
        <StreamType Direction="eIntcGraphDirectionCapture" Link="eLinkNone" Type="eIntcGraphOffload" Pipe="eIntcOECapturePipeContext" />
        <PathItem Id="0" BindType="eEntryTypePath">
            <SrcPath Id="eIntcPathCaptureLink" Optional="false" />
            <DstPath Id="eIntcPathCaptureAcaProcess" Optional="false" />
        </PathItem>
        <PathItem Id="1" BindType="eEntryTypePath">
            <SrcPath Id="eIntcPathCaptureAcaProcess" Optional="false" />
            <DstPath Id="eIntcPathCaptureAcaDetection" Optional="false" ACA="1" />
        </PathItem>
    </Stream>
    <Stream Id="eIntcStreamCaptureAcaDmic" Idx="18" Name="Capture aca pin DMIC" HandlePath="eIntcPathCaptureAcaDetection">
        <StreamType Direction="eIntcGraphDirectionCapture" Link="eLinkPDM" Type="eIntcGraphOffload" Pipe="eIntcOECapturePipeContext" />
        <PathItem Id="0" BindType="eEntryTypePath">
            <SrcPath Id="eIntcPathCaptureLinkSpeechDmic" Optional="false" />
            <DstPath Id="eIntcPathCaptureAcaProcess" Optional="false" />
        </PathItem>
        <PathItem Id="1" BindType="eEntryTypePath">
            <SrcPath Id="eIntcPathCaptureAcaProcess" Optional="false" />
            <DstPath Id="eIntcPathCaptureAcaDetection" Optional="false" ACA="1" />
        </PathItem>
    </Stream>
    <Stream Id="eIntcStreamCaptureDetection" Idx="19" Name="Capture detection pin" HandlePath="eIntcPathCaptureDetection">
        <StreamType Direction="eIntcGraphDirectionCapture" Link="eLinkNone" Type="eIntcGraphOffload" Pipe="eIntcOECapturePipeContext" />
        <PathItem Id="0" BindType="eEntryTypePath">
            <SrcPath Id="eIntcPathCaptureLink" Optional="false" />
            <DstPath Id="eIntcPathCaptureKpb" Optional="false" />
        </PathItem>
        <PathItem Id="1" BindType="eEntryTypeDetect">
            <SrcPath Id="eIntcPathCaptureKpb" Optional="false" />
            <DstPath Id="eIntcPathCaptureDetection" Optional="false" />
        </PathItem>
        <PathItem Id="2" BindType="eEntryTypeReference">
            <SrcPath Id="eIntcPathRenderLink" Optional="true" />
            <DstPath Id="eIntcPathCaptureReference" Optional="false" />
        </PathItem>
        <PathItem Id="3" BindType="eEntryTypeReference">
            <SrcPath Id="eIntcPathCaptureReference" Optional="true" />
            <DstPath Id="eIntcPathCaptureKpb" Optional="true" />
        </PathItem>
    </Stream>
    <Stream Id="eIntcStreamCaptureDetectionDmic" Idx="20" Name="Capture detection pin DMIC" HandlePath="eIntcPathCaptureDetection">
        <StreamType Direction="eIntcGraphDirectionCapture" Link="eLinkPDM" Type="eIntcGraphOffload" Pipe="eIntcOECapturePipeContext" />
        <PathItem Id="0" BindType="eEntryTypePath">
            <SrcPath Id="eIntcPathCaptureLinkSpeechDmic" Optional="false" />
            <DstPath Id="eIntcPathCaptureKpb" Optional="false" />
        </PathItem>
        <PathItem Id="1" BindType="eEntryTypeDetect">
            <SrcPath Id="eIntcPathCaptureKpb" Optional="false" />
            <DstPath Id="eIntcPathCaptureDetection" Optional="false" />
        </PathItem>
        <PathItem Id="2" BindType="eEntryTypeReference">
            <SrcPath Id="eIntcPathRenderLink" Optional="true" />
            <DstPath Id="eIntcPathCaptureReference" Optional="false" />
        </PathItem>
        <PathItem Id="3" BindType="eEntryTypeReference">
            <SrcPath Id="eIntcPathCaptureReference" Optional="true" />
            <DstPath Id="eIntcPathCaptureKpb" Optional="true" />
        </PathItem>
    </Stream>
    <RenderModes>
        <Mode Name="AUDIO_SIGNALPROCESSINGMODE_RAW" GUID="9E90EA20-B493-4FD1-A1A8-7E1361A956CF" />
        <Mode Name="AUDIO_SIGNALPROCESSINGMODE_DEFAULT" GUID="C18E2F7E-933D-4965-B7D1-1EEF228D2AF3" />
        <Mode Name="AUDIO_SIGNALPROCESSINGMODE_COMMUNICATIONS" GUID="98951333-B9CD-48B1-A0A3-FF40682D73F7" />
        <Mode Name="AUDIO_SIGNALPROCESSINGMODE_NOTIFICATION" GUID="9CF2A70B-F377-403B-BD6B-360863E0355C" />
        <Mode Name="AUDIO_SIGNALPROCESSINGMODE_MEDIA" GUID="4780004E-7133-41D8-8C74-660DADD2C0EE" />
        <Mode Name="AUDIO_SIGNALPROCESSINGMODE_MOVIE" GUID="B26FEB0D-EC94-477C-9494-D1AB8E753F6E" />
    </RenderModes>
    <CaptureModes>
        <Mode Name="AUDIO_SIGNALPROCESSINGMODE_RAW" GUID="9E90EA20-B493-4FD1-A1A8-7E1361A956CF" />
        <Mode Name="AUDIO_SIGNALPROCESSINGMODE_DEFAULT" GUID="C18E2F7E-933D-4965-B7D1-1EEF228D2AF3" />
        <Mode Name="AUDIO_SIGNALPROCESSINGMODE_COMMUNICATIONS" GUID="98951333-B9CD-48B1-A0A3-FF40682D73F7" />
        <Mode Name="AUDIO_SIGNALPROCESSINGMODE_SPEECH" GUID="FC1CFC9B-B9D6-4CFA-B5E0-4BB2166878B2" />
        <Mode Name="AUDIO_SIGNALPROCESSINGMODE_DET0" GUID="117ED150-32B8-4C82-A5BF-2AECE1BF75BF" />
        <Mode Name="AUDIO_SIGNALPROCESSINGMODE_DET1" GUID="117ED151-32B8-4C82-A5BF-2AECE1BF75BF" />
        <Mode Name="AUDIO_SIGNALPROCESSINGMODE_DET2" GUID="117ED152-32B8-4C82-A5BF-2AECE1BF75BF" />
        <Mode Name="AUDIO_SIGNALPROCESSINGMODE_DET3" GUID="117ED153-32B8-4C82-A5BF-2AECE1BF75BF" />
    </CaptureModes>
    <RenderPipes>
        <Pipe Name="eIntcOERenderPipeSystem" Id="0" />
        <Pipe Name="eIntcOERenderPipeOffload" Id="2" />
        <Pipe Name="eIntcOERenderPipeLoopback" Id="3" />
        <Pipe Name="eIntcOERenderPipeUltrasound" Id="4" />
    </RenderPipes>
    <CapturePipes>
        <Pipe Name="eIntcOECapturePipeSystem" Id="0" />
        <Pipe Name="eIntcOECapturePipeWindowsVAD" Id="3" />
        <Pipe Name="eIntcOECapturePipeUltrasound" Id="4" />
        <Pipe Name="eIntcOECapturePipeContext" Id="5" />
    </CapturePipes>
</Topology>
